Get Earnings
curl --request GET \
--url https://api.agentpowers.ai/v1/sellers/earnings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/sellers/earnings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/sellers/earnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total_earnings_cents": 123,
"total_sales": 123,
"currency": "<string>",
"payout_delay_days": 123,
"seller_tier": 123,
"max_price_cents": 123,
"available_cents": 0,
"in_transit_cents": 0,
"paid_out_cents": 0
}sellers
Get Earnings
Get earnings summary for the current seller.
GET
/
v1
/
sellers
/
earnings
Get Earnings
curl --request GET \
--url https://api.agentpowers.ai/v1/sellers/earnings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/sellers/earnings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/sellers/earnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total_earnings_cents": 123,
"total_sales": 123,
"currency": "<string>",
"payout_delay_days": 123,
"seller_tier": 123,
"max_price_cents": 123,
"available_cents": 0,
"in_transit_cents": 0,
"paid_out_cents": 0
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Response
200 - application/json
Successful Response
Was this page helpful?